#ifndef __DEBUG_H__
#define __DEBUG_H__

#include "uart.h"

#ifdef PDEBUG

#define debug_init() uartInit(UART0,115200)

int printf(const char *format, ...);
#define dprintf printf



#else

#define dprintf(...)
#define printf(...)
#define debug_init()
#define puts(...)

#endif

#endif


