/*
    Str912 book Advanced EXAMPLE1 - Virtual USB Com Port
    Copyright (C) 2008  Lucjan Bryndza <lucjan.bryndza@ep.com.pl>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "armint.h"
#include "vcomm.h"


/*-------------------------------------------------------------*/
//Funkcja wypusuje lancuch tekstowy
static void vcom_puts(const char *str)
{
    while(*str)
    {
        if(vcom_putchar(*str++)==EOF) return;
    }
}

/*-------------------------------------------------------------*/
//Funkcja Main
int main(void)
{
  //Inicjalizuh biblioteke vcom
  vcom_init();

  //Wlacz globalne przerwania
  enable_irq();

  //Napis powitalny
  vcom_puts("STR912 Book Virtual USB RS232 - (c) L. Bryndza 2008\r\n");

  //Petla glowna
  while(1)
  {
    //Pobierz znak
    int c = vcom_getchar();
    if(c!=EOF)
    {
        //Jezeli jest znak wypisz kod znaku
        vcom_puts("wpisales (");
        vcom_putchar(c);
        vcom_puts(")\r\n");
    }
  }
}
/*-------------------------------------------------------------*/

