/*
    Str912 book example12 - NOKIA 3310 LCD
    Copyright (C) 2008  Lucjan Bryndza <lucjan.bryndza@ep.com.pl>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <stdint.h>
/*----------------------------------------------------------------------*/
//Initialize LCD display
void lcd_init(void);

/*----------------------------------------------------------------------*/
//Write character at current position
void lcd_char(char code);

/*----------------------------------------------------------------------*/
//ustawia pozycje wyswietlania (14 kolumn, 6 wierszy)
void lcd_pos(char x, char y);

/*----------------------------------------------------------------------*/
//wyswietla lancuch na okreslonej pozycji
void lcd_string(const char *napis,char x,char y);

/*----------------------------------------------------------------------*/
//Clear LCD display
void lcd_clear(void);

/*----------------------------------------------------------------------*/
//Display lcd pixmap
int lcd_pixmap(const char *xpm[]);

/*----------------------------------------------------------------------*/
//Wyswietla pionowy pasek o parametrach wysokosc i szerokosc
//x - poz poczatkowa x, s -szerokosc, h - wysokosc
int lcd_bar(uint8_t x,uint8_t s,uint8_t h);

/*----------------------------------------------------------------------*/

